com.thinkaurelius.titan.graphdb.internal

## Enum ElementCategory

- java.lang.Object
- - java.lang.Enum<ElementCategory>
  - - com.thinkaurelius.titan.graphdb.internal.ElementCategory

- All Implemented Interfaces:
    Serializable, Comparable<ElementCategory>

      public enum ElementCategory
      extends Enum<ElementCategory>

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EDGE`
    `PROPERTY`
    `VERTEX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ElementCategory` | `getByClazz(Class<? extends com.tinkerpop.blueprints.Element> clazz)`
    `static ElementCategory` | `getByName(String name)`
    `Class<? extends com.tinkerpop.blueprints.Element>` | `getElementType()`
    `String` | `getName()`
    `boolean` | `isInstance(TitanElement element)`
    `boolean` | `isRelation()`
    `boolean` | `isValidConstraint(TitanSchemaType type)`
    `boolean` | `matchesConstraint(TitanSchemaType type, TitanElement element)`
    `TitanElement` | `retrieve(Object elementId, TitanTransaction tx)`
    `boolean` | `subsumedBy(Class<? extends com.tinkerpop.blueprints.Element> clazz)`
    `static ElementCategory` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ElementCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VERTEX

          public static final ElementCategory VERTEX

    - #### EDGE

          public static final ElementCategory EDGE

    - #### PROPERTY

          public static final ElementCategory PROPERTY

  - ### Method Detail

    - #### values

          public static ElementCategory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ElementCategory c : ElementCategory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ElementCategory valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getElementType

          public Class<? extends com.tinkerpop.blueprints.Element> getElementType()

    - #### isRelation

          public boolean isRelation()

    - #### isValidConstraint

          public boolean isValidConstraint(TitanSchemaType type)

    - #### matchesConstraint

          public boolean matchesConstraint(TitanSchemaType type,
                                  TitanElement element)

    - #### isInstance

          public boolean isInstance(TitanElement element)

    - #### subsumedBy

          public boolean subsumedBy(Class<? extends com.tinkerpop.blueprints.Element> clazz)

    - #### getName

          public String getName()

    - #### retrieve

          public TitanElement retrieve(Object elementId,
                              TitanTransaction tx)

    - #### getByClazz

          public static final ElementCategory getByClazz(Class<? extends com.tinkerpop.blueprints.Element> clazz)

    - #### getByName

          public static final ElementCategory getByName(String name)

Copyright © 2012–2014. All rights reserved.